Subject: bug#5723: 23.1.94; make-network-process and emacs hangs

From: Helmut Eller <[email-masked]>
Date: Mon, 15 Mar 2010 23:49:25 +0100

* Stefan Monnier [2010-03-15 20:22+0100] writes:

>> Could this be improved i.e. by wrapping it in with-local-quit?
>
> If it's called somewhere where C-g doesn't work, yes it's a bug.

make-network-process calls getaddrinfo and C-g doesn't work properly
during that call.  It's only observable if the name server is slow or
misconfigured.

glibc has a asynchronous variant getaddrinfo_a (in libanl.so) which uses
threads internally and quickly passes control back to the caller.  That
could be used on GNU/Linux but the OP uses a Mac.

Helmut